578f7815336a600103ee062151019f490f4c40c2
[construo.git] / Makefile.in
blob578f7815336a600103ee062151019f490f4c40c2
1 # Makefile.in generated by automake 1.7.3 from Makefile.am.
2 # @configure_input@
4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5 # Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 INSTALL = @INSTALL@
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 ACLOCAL = @ACLOCAL@
39 AMDEP_FALSE = @AMDEP_FALSE@
40 AMDEP_TRUE = @AMDEP_TRUE@
41 AMTAR = @AMTAR@
42 AUTOCONF = @AUTOCONF@
43 AUTOHEADER = @AUTOHEADER@
44 AUTOMAKE = @AUTOMAKE@
45 AWK = @AWK@
46 CC = @CC@
47 CCDEPMODE = @CCDEPMODE@
48 CFLAGS = @CFLAGS@
49 CPP = @CPP@
50 CPPFLAGS = @CPPFLAGS@
51 CXX = @CXX@
52 CXXCPP = @CXXCPP@
53 CXXDEPMODE = @CXXDEPMODE@
54 CXXFLAGS = @CXXFLAGS@
55 CYGPATH_W = @CYGPATH_W@
56 ConstruoTargets = @ConstruoTargets@
57 DEFS = @DEFS@
58 DEPDIR = @DEPDIR@
59 ECHO_C = @ECHO_C@
60 ECHO_N = @ECHO_N@
61 ECHO_T = @ECHO_T@
62 EGREP = @EGREP@
63 EXEEXT = @EXEEXT@
64 INSTALL_DATA = @INSTALL_DATA@
65 INSTALL_PROGRAM = @INSTALL_PROGRAM@
66 INSTALL_SCRIPT = @INSTALL_SCRIPT@
67 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
68 LDFLAGS = @LDFLAGS@
69 LIBOBJS = @LIBOBJS@
70 LIBS = @LIBS@
71 LTLIBOBJS = @LTLIBOBJS@
72 MAKEINFO = @MAKEINFO@
73 OBJEXT = @OBJEXT@
74 PACKAGE = @PACKAGE@
75 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
76 PACKAGE_NAME = @PACKAGE_NAME@
77 PACKAGE_STRING = @PACKAGE_STRING@
78 PACKAGE_TARNAME = @PACKAGE_TARNAME@
79 PACKAGE_VERSION = @PACKAGE_VERSION@
80 PATH_SEPARATOR = @PATH_SEPARATOR@
81 RANLIB = @RANLIB@
82 SET_MAKE = @SET_MAKE@
83 SHELL = @SHELL@
84 STRIP = @STRIP@
85 VERSION = @VERSION@
86 X_CFLAGS = @X_CFLAGS@
87 X_EXTRA_LIBS = @X_EXTRA_LIBS@
88 X_LIBS = @X_LIBS@
89 X_PRE_LIBS = @X_PRE_LIBS@
90 ac_ct_CC = @ac_ct_CC@
91 ac_ct_CXX = @ac_ct_CXX@
92 ac_ct_RANLIB = @ac_ct_RANLIB@
93 ac_ct_STRIP = @ac_ct_STRIP@
94 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
95 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
96 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
97 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
98 am__include = @am__include@
99 am__leading_dot = @am__leading_dot@
100 am__quote = @am__quote@
102 bindir = $(prefix)/games
103 build_alias = @build_alias@
104 datadir = @datadir@
105 exec_prefix = @exec_prefix@
106 freeglut_LIBS = @freeglut_LIBS@
107 glut_LIBS = @glut_LIBS@
108 host_alias = @host_alias@
109 includedir = @includedir@
110 infodir = @infodir@
111 install_sh = @install_sh@
112 libdir = @libdir@
113 libexecdir = @libexecdir@
114 localstatedir = @localstatedir@
115 mandir = @mandir@
116 oldincludedir = @oldincludedir@
117 prefix = @prefix@
118 program_transform_name = @program_transform_name@
119 sbindir = @sbindir@
120 sharedstatedir = @sharedstatedir@
121 sysconfdir = @sysconfdir@
122 target_alias = @target_alias@
123 x11_CXXFLAGS = @x11_CXXFLAGS@
124 x11_LIBS = @x11_LIBS@
126 SUBDIRS = examples
128 bin_PROGRAMS = @ConstruoTargets@
130 EXTRA_PROGRAMS = construo.x11 construo.glut construo.freeglut
132 noinst_LIBRARIES = libconstruo.a
134 libconstruo_a_SOURCES = \
135 bounding_box.cxx \
136 bounding_box.hxx \
137 buttons.hxx \
138 collider.hxx \
139 color.hxx \
140 colors.cxx \
141 colors.hxx \
142 command_line.cxx \
143 command_line.hxx \
144 config.cxx \
145 config.hxx \
146 construo.cxx \
147 construo.hxx \
148 construo_error.hxx \
149 controller.cxx \
150 controller.hxx \
151 cursor_collider.xbm \
152 cursor_collider_mask.xbm \
153 cursor_insert.xbm \
154 cursor_insert_mask.xbm \
155 cursor_scroll.xbm \
156 cursor_scroll_mask.xbm \
157 cursor_select.xbm \
158 cursor_select_mask.xbm \
159 cursor_zoom.xbm \
160 cursor_zoom_mask.xbm \
161 cursors.hxx \
162 delta_manager.hxx \
163 events.hxx \
164 force_emitter.hxx \
165 globals.cxx \
166 globals.hxx \
167 graphic_context.hxx \
168 gui_buttons.cxx \
169 gui_buttons.hxx \
170 gui_child_manager.cxx \
171 gui_child_manager.hxx \
172 gui_component.cxx \
173 gui_component.hxx \
174 gui_directory.cxx \
175 gui_directory.hxx \
176 gui_directory_button.cxx \
177 gui_directory_button.hxx \
178 gui_file_button.cxx \
179 gui_file_button.hxx \
180 gui_file_manager.cxx \
181 gui_file_manager.hxx \
182 gui_label.cxx \
183 gui_label.hxx \
184 gui_manager.cxx \
185 gui_manager.hxx \
186 gui_new_file_button.cxx \
187 gui_new_file_button.hxx \
188 gui_window.cxx \
189 gui_window.hxx \
190 input_context.cxx \
191 input_context.hxx \
192 keep_alive.hxx \
193 keep_alive_mgr.cxx \
194 keep_alive_mgr.hxx \
195 keys.hxx \
196 lisp_reader.cxx \
197 lisp_reader.hxx \
198 lisp_writer.cxx \
199 lisp_writer.hxx \
200 lispreader.cxx \
201 lispreader.hxx \
202 load_gui_manager.cxx \
203 load_gui_manager.hxx \
204 math.hxx \
205 particle.cxx \
206 particle.hxx \
207 particle_factory.cxx \
208 particle_factory.hxx \
209 path_manager.cxx \
210 path_manager.hxx \
211 rect.hxx \
212 rect_collider.cxx \
213 rect_collider.hxx \
214 root_graphic_context.cxx \
215 root_graphic_context.hxx \
216 save_gui_manager.cxx \
217 save_gui_manager.hxx \
218 screen_manager.cxx \
219 screen_manager.hxx \
220 selection.cxx \
221 selection.hxx \
222 settings.cxx \
223 settings.hxx \
224 spring.cxx \
225 spring.hxx \
226 spring_type.hxx \
227 string_utils.cxx \
228 string_utils.hxx \
229 system_context.hxx \
230 unix_system.cxx \
231 unix_system.hxx \
232 vector.cxx \
233 vector.hxx \
234 vector2d.hxx \
235 world.cxx \
236 world.hxx \
237 world_button.cxx \
238 world_button.hxx \
239 world_gui_manager.cxx \
240 world_gui_manager.hxx \
241 worldview_collider_tool.cxx \
242 worldview_collider_tool.hxx \
243 worldview_component.cxx \
244 worldview_component.hxx \
245 worldview_insert_tool.cxx \
246 worldview_insert_tool.hxx \
247 worldview_select_tool.cxx \
248 worldview_select_tool.hxx \
249 worldview_tool.cxx \
250 worldview_tool.hxx \
251 worldview_zoom_tool.cxx \
252 worldview_zoom_tool.hxx \
253 zoom_graphic_context.cxx \
254 zoom_graphic_context.hxx
257 construo_x11_SOURCES = construo_main.cxx construo_main.hxx x11_display.hxx x11_display.cxx
258 construo_x11_LDADD = libconstruo.a @x11_LIBS@
259 construo_x11_CXXFLAGS = -DUSE_X11_DISPLAY @x11_CXXFLAGS@
261 construo_glut_SOURCES = construo_main.cxx construo_main.hxx glut_display.hxx glut_display.cxx
262 construo_glut_LDADD = libconstruo.a @glut_LIBS@
263 construo_glut_CXXFLAGS = -DUSE_GLUT_DISPLAY -DHAVE_GLUT
265 construo_freeglut_SOURCES = construo_main.cxx construo_main.hxx glut_display.hxx glut_display.cxx
266 construo_freeglut_LDADD = libconstruo.a @freeglut_LIBS@
267 construo_freeglut_CXXFLAGS = -DUSE_GLUT_DISPLAY -DHAVE_FREEGLUT
269 # pkgdatadir = $(datadir)/games/@PACKAGE@
270 EXTRA_DIST = TODO INSTALL.configure xml2sexpr.sh compatlib/sstream
271 subdir = .
272 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
273 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
274 CONFIG_HEADER = config.h
275 CONFIG_CLEAN_FILES =
276 LIBRARIES = $(noinst_LIBRARIES)
278 libconstruo_a_AR = $(AR) cru
279 libconstruo_a_LIBADD =
280 am_libconstruo_a_OBJECTS = bounding_box.$(OBJEXT) colors.$(OBJEXT) \
281 command_line.$(OBJEXT) config.$(OBJEXT) construo.$(OBJEXT) \
282 controller.$(OBJEXT) globals.$(OBJEXT) gui_buttons.$(OBJEXT) \
283 gui_child_manager.$(OBJEXT) gui_component.$(OBJEXT) \
284 gui_directory.$(OBJEXT) gui_directory_button.$(OBJEXT) \
285 gui_file_button.$(OBJEXT) gui_file_manager.$(OBJEXT) \
286 gui_label.$(OBJEXT) gui_manager.$(OBJEXT) \
287 gui_new_file_button.$(OBJEXT) gui_window.$(OBJEXT) \
288 input_context.$(OBJEXT) keep_alive_mgr.$(OBJEXT) \
289 lisp_reader.$(OBJEXT) lisp_writer.$(OBJEXT) \
290 lispreader.$(OBJEXT) load_gui_manager.$(OBJEXT) \
291 particle.$(OBJEXT) particle_factory.$(OBJEXT) \
292 path_manager.$(OBJEXT) rect_collider.$(OBJEXT) \
293 root_graphic_context.$(OBJEXT) save_gui_manager.$(OBJEXT) \
294 screen_manager.$(OBJEXT) selection.$(OBJEXT) settings.$(OBJEXT) \
295 spring.$(OBJEXT) string_utils.$(OBJEXT) unix_system.$(OBJEXT) \
296 vector.$(OBJEXT) world.$(OBJEXT) world_button.$(OBJEXT) \
297 world_gui_manager.$(OBJEXT) worldview_collider_tool.$(OBJEXT) \
298 worldview_component.$(OBJEXT) worldview_insert_tool.$(OBJEXT) \
299 worldview_select_tool.$(OBJEXT) worldview_tool.$(OBJEXT) \
300 worldview_zoom_tool.$(OBJEXT) zoom_graphic_context.$(OBJEXT)
301 libconstruo_a_OBJECTS = $(am_libconstruo_a_OBJECTS)
302 EXTRA_PROGRAMS = construo.x11$(EXEEXT) construo.glut$(EXEEXT) \
303 construo.freeglut$(EXEEXT)
304 bin_PROGRAMS = @ConstruoTargets@
305 PROGRAMS = $(bin_PROGRAMS)
307 am_construo_freeglut_OBJECTS = construo_freeglut-construo_main.$(OBJEXT) \
308 construo_freeglut-glut_display.$(OBJEXT)
309 construo_freeglut_OBJECTS = $(am_construo_freeglut_OBJECTS)
310 construo_freeglut_DEPENDENCIES = libconstruo.a
311 construo_freeglut_LDFLAGS =
312 am_construo_glut_OBJECTS = construo_glut-construo_main.$(OBJEXT) \
313 construo_glut-glut_display.$(OBJEXT)
314 construo_glut_OBJECTS = $(am_construo_glut_OBJECTS)
315 construo_glut_DEPENDENCIES = libconstruo.a
316 construo_glut_LDFLAGS =
317 am_construo_x11_OBJECTS = construo_x11-construo_main.$(OBJEXT) \
318 construo_x11-x11_display.$(OBJEXT)
319 construo_x11_OBJECTS = $(am_construo_x11_OBJECTS)
320 construo_x11_DEPENDENCIES = libconstruo.a
321 construo_x11_LDFLAGS =
323 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
324 depcomp = $(SHELL) $(top_srcdir)/depcomp
325 am__depfiles_maybe = depfiles
326 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/bounding_box.Po \
327 @AMDEP_TRUE@ ./$(DEPDIR)/colors.Po ./$(DEPDIR)/command_line.Po \
328 @AMDEP_TRUE@ ./$(DEPDIR)/config.Po ./$(DEPDIR)/construo.Po \
329 @AMDEP_TRUE@ ./$(DEPDIR)/construo_freeglut-construo_main.Po \
330 @AMDEP_TRUE@ ./$(DEPDIR)/construo_freeglut-glut_display.Po \
331 @AMDEP_TRUE@ ./$(DEPDIR)/construo_glut-construo_main.Po \
332 @AMDEP_TRUE@ ./$(DEPDIR)/construo_glut-glut_display.Po \
333 @AMDEP_TRUE@ ./$(DEPDIR)/construo_x11-construo_main.Po \
334 @AMDEP_TRUE@ ./$(DEPDIR)/construo_x11-x11_display.Po \
335 @AMDEP_TRUE@ ./$(DEPDIR)/controller.Po ./$(DEPDIR)/globals.Po \
336 @AMDEP_TRUE@ ./$(DEPDIR)/gui_buttons.Po \
337 @AMDEP_TRUE@ ./$(DEPDIR)/gui_child_manager.Po \
338 @AMDEP_TRUE@ ./$(DEPDIR)/gui_component.Po \
339 @AMDEP_TRUE@ ./$(DEPDIR)/gui_directory.Po \
340 @AMDEP_TRUE@ ./$(DEPDIR)/gui_directory_button.Po \
341 @AMDEP_TRUE@ ./$(DEPDIR)/gui_file_button.Po \
342 @AMDEP_TRUE@ ./$(DEPDIR)/gui_file_manager.Po \
343 @AMDEP_TRUE@ ./$(DEPDIR)/gui_label.Po ./$(DEPDIR)/gui_manager.Po \
344 @AMDEP_TRUE@ ./$(DEPDIR)/gui_new_file_button.Po \
345 @AMDEP_TRUE@ ./$(DEPDIR)/gui_window.Po \
346 @AMDEP_TRUE@ ./$(DEPDIR)/input_context.Po \
347 @AMDEP_TRUE@ ./$(DEPDIR)/keep_alive_mgr.Po \
348 @AMDEP_TRUE@ ./$(DEPDIR)/lisp_reader.Po \
349 @AMDEP_TRUE@ ./$(DEPDIR)/lisp_writer.Po \
350 @AMDEP_TRUE@ ./$(DEPDIR)/lispreader.Po \
351 @AMDEP_TRUE@ ./$(DEPDIR)/load_gui_manager.Po \
352 @AMDEP_TRUE@ ./$(DEPDIR)/particle.Po \
353 @AMDEP_TRUE@ ./$(DEPDIR)/particle_factory.Po \
354 @AMDEP_TRUE@ ./$(DEPDIR)/path_manager.Po \
355 @AMDEP_TRUE@ ./$(DEPDIR)/rect_collider.Po \
356 @AMDEP_TRUE@ ./$(DEPDIR)/root_graphic_context.Po \
357 @AMDEP_TRUE@ ./$(DEPDIR)/save_gui_manager.Po \
358 @AMDEP_TRUE@ ./$(DEPDIR)/screen_manager.Po \
359 @AMDEP_TRUE@ ./$(DEPDIR)/selection.Po ./$(DEPDIR)/settings.Po \
360 @AMDEP_TRUE@ ./$(DEPDIR)/spring.Po ./$(DEPDIR)/string_utils.Po \
361 @AMDEP_TRUE@ ./$(DEPDIR)/unix_system.Po ./$(DEPDIR)/vector.Po \
362 @AMDEP_TRUE@ ./$(DEPDIR)/world.Po ./$(DEPDIR)/world_button.Po \
363 @AMDEP_TRUE@ ./$(DEPDIR)/world_gui_manager.Po \
364 @AMDEP_TRUE@ ./$(DEPDIR)/worldview_collider_tool.Po \
365 @AMDEP_TRUE@ ./$(DEPDIR)/worldview_component.Po \
366 @AMDEP_TRUE@ ./$(DEPDIR)/worldview_insert_tool.Po \
367 @AMDEP_TRUE@ ./$(DEPDIR)/worldview_select_tool.Po \
368 @AMDEP_TRUE@ ./$(DEPDIR)/worldview_tool.Po \
369 @AMDEP_TRUE@ ./$(DEPDIR)/worldview_zoom_tool.Po \
370 @AMDEP_TRUE@ ./$(DEPDIR)/zoom_graphic_context.Po
371 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
372 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
373 CXXLD = $(CXX)
374 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
375 -o $@
376 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
377 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
378 CCLD = $(CC)
379 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
380 DIST_SOURCES = $(libconstruo_a_SOURCES) $(construo_freeglut_SOURCES) \
381 $(construo_glut_SOURCES) $(construo_x11_SOURCES)
383 RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
384 ps-recursive install-info-recursive uninstall-info-recursive \
385 all-recursive install-data-recursive install-exec-recursive \
386 installdirs-recursive install-recursive uninstall-recursive \
387 check-recursive installcheck-recursive
388 DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
389 Makefile.in NEWS TODO acinclude.m4 aclocal.m4 config.h.in \
390 configure configure.ac depcomp install-sh missing mkinstalldirs
391 DIST_SUBDIRS = $(SUBDIRS)
392 SOURCES = $(libconstruo_a_SOURCES) $(construo_freeglut_SOURCES) $(construo_glut_SOURCES) $(construo_x11_SOURCES)
394 all: config.h
395 $(MAKE) $(AM_MAKEFLAGS) all-recursive
397 .SUFFIXES:
398 .SUFFIXES: .cxx .o .obj
400 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
401 configure.lineno
402 $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
403 cd $(top_srcdir) && \
404 $(AUTOMAKE) --gnu Makefile
405 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
406 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
408 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
409 $(SHELL) ./config.status --recheck
410 $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
411 cd $(srcdir) && $(AUTOCONF)
413 $(ACLOCAL_M4): configure.ac acinclude.m4
414 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
416 config.h: stamp-h1
417 @if test ! -f $@; then \
418 rm -f stamp-h1; \
419 $(MAKE) stamp-h1; \
420 else :; fi
422 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
423 @rm -f stamp-h1
424 cd $(top_builddir) && $(SHELL) ./config.status config.h
426 $(srcdir)/config.h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
427 cd $(top_srcdir) && $(AUTOHEADER)
428 touch $(srcdir)/config.h.in
430 distclean-hdr:
431 -rm -f config.h stamp-h1
433 AR = ar
435 clean-noinstLIBRARIES:
436 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
437 libconstruo.a: $(libconstruo_a_OBJECTS) $(libconstruo_a_DEPENDENCIES)
438 -rm -f libconstruo.a
439 $(libconstruo_a_AR) libconstruo.a $(libconstruo_a_OBJECTS) $(libconstruo_a_LIBADD)
440 $(RANLIB) libconstruo.a
441 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
442 install-binPROGRAMS: $(bin_PROGRAMS)
443 @$(NORMAL_INSTALL)
444 $(mkinstalldirs) $(DESTDIR)$(bindir)
445 @list='$(bin_PROGRAMS)'; for p in $$list; do \
446 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
447 if test -f $$p \
448 ; then \
449 f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
450 echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
451 $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
452 else :; fi; \
453 done
455 uninstall-binPROGRAMS:
456 @$(NORMAL_UNINSTALL)
457 @list='$(bin_PROGRAMS)'; for p in $$list; do \
458 f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
459 echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
460 rm -f $(DESTDIR)$(bindir)/$$f; \
461 done
463 clean-binPROGRAMS:
464 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
465 construo.freeglut$(EXEEXT): $(construo_freeglut_OBJECTS) $(construo_freeglut_DEPENDENCIES)
466 @rm -f construo.freeglut$(EXEEXT)
467 $(CXXLINK) $(construo_freeglut_LDFLAGS) $(construo_freeglut_OBJECTS) $(construo_freeglut_LDADD) $(LIBS)
468 construo.glut$(EXEEXT): $(construo_glut_OBJECTS) $(construo_glut_DEPENDENCIES)
469 @rm -f construo.glut$(EXEEXT)
470 $(CXXLINK) $(construo_glut_LDFLAGS) $(construo_glut_OBJECTS) $(construo_glut_LDADD) $(LIBS)
471 construo.x11$(EXEEXT): $(construo_x11_OBJECTS) $(construo_x11_DEPENDENCIES)
472 @rm -f construo.x11$(EXEEXT)
473 $(CXXLINK) $(construo_x11_LDFLAGS) $(construo_x11_OBJECTS) $(construo_x11_LDADD) $(LIBS)
475 mostlyclean-compile:
476 -rm -f *.$(OBJEXT) core *.core
478 distclean-compile:
479 -rm -f *.tab.c
481 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_box.Po@am__quote@
482 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/colors.Po@am__quote@
483 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command_line.Po@am__quote@
484 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/config.Po@am__quote@
485 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo.Po@am__quote@
486 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo_freeglut-construo_main.Po@am__quote@
487 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo_freeglut-glut_display.Po@am__quote@
488 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo_glut-construo_main.Po@am__quote@
489 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo_glut-glut_display.Po@am__quote@
490 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo_x11-construo_main.Po@am__quote@
491 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/construo_x11-x11_display.Po@am__quote@
492 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/controller.Po@am__quote@
493 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/globals.Po@am__quote@
494 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_buttons.Po@am__quote@
495 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_child_manager.Po@am__quote@
496 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_component.Po@am__quote@
497 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_directory.Po@am__quote@
498 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_directory_button.Po@am__quote@
499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_file_button.Po@am__quote@
500 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_file_manager.Po@am__quote@
501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_label.Po@am__quote@
502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_manager.Po@am__quote@
503 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_new_file_button.Po@am__quote@
504 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_window.Po@am__quote@
505 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input_context.Po@am__quote@
506 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/keep_alive_mgr.Po@am__quote@
507 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lisp_reader.Po@am__quote@
508 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lisp_writer.Po@am__quote@
509 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lispreader.Po@am__quote@
510 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/load_gui_manager.Po@am__quote@
511 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particle.Po@am__quote@
512 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particle_factory.Po@am__quote@
513 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/path_manager.Po@am__quote@
514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rect_collider.Po@am__quote@
515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/root_graphic_context.Po@am__quote@
516 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/save_gui_manager.Po@am__quote@
517 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/screen_manager.Po@am__quote@
518 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selection.Po@am__quote@
519 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/settings.Po@am__quote@
520 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/spring.Po@am__quote@
521 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string_utils.Po@am__quote@
522 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unix_system.Po@am__quote@
523 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vector.Po@am__quote@
524 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/world.Po@am__quote@
525 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/world_button.Po@am__quote@
526 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/world_gui_manager.Po@am__quote@
527 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/worldview_collider_tool.Po@am__quote@
528 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/worldview_component.Po@am__quote@
529 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/worldview_insert_tool.Po@am__quote@
530 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/worldview_select_tool.Po@am__quote@
531 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/worldview_tool.Po@am__quote@
532 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/worldview_zoom_tool.Po@am__quote@
533 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zoom_graphic_context.Po@am__quote@
535 distclean-depend:
536 -rm -rf ./$(DEPDIR)
538 .cxx.o:
539 @am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
540 @am__fastdepCXX_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
541 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
542 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
543 @am__fastdepCXX_TRUE@ fi
544 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
545 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
546 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
547 @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
549 .cxx.obj:
550 @am__fastdepCXX_TRUE@ if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
551 @am__fastdepCXX_TRUE@ -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
552 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
553 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
554 @am__fastdepCXX_TRUE@ fi
555 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
556 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
557 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
558 @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
560 construo_freeglut-construo_main.o: construo_main.cxx
561 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-construo_main.o -MD -MP -MF "$(DEPDIR)/construo_freeglut-construo_main.Tpo" \
562 @am__fastdepCXX_TRUE@ -c -o construo_freeglut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx; \
563 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_freeglut-construo_main.Tpo" "$(DEPDIR)/construo_freeglut-construo_main.Po"; \
564 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_freeglut-construo_main.Tpo"; exit 1; \
565 @am__fastdepCXX_TRUE@ fi
566 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='construo_main.cxx' object='construo_freeglut-construo_main.o' libtool=no @AMDEPBACKSLASH@
567 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_freeglut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-construo_main.TPo' @AMDEPBACKSLASH@
568 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
569 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx
571 construo_freeglut-construo_main.obj: construo_main.cxx
572 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-construo_main.obj -MD -MP -MF "$(DEPDIR)/construo_freeglut-construo_main.Tpo" \
573 @am__fastdepCXX_TRUE@ -c -o construo_freeglut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`; \
574 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_freeglut-construo_main.Tpo" "$(DEPDIR)/construo_freeglut-construo_main.Po"; \
575 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_freeglut-construo_main.Tpo"; exit 1; \
576 @am__fastdepCXX_TRUE@ fi
577 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='construo_main.cxx' object='construo_freeglut-construo_main.obj' libtool=no @AMDEPBACKSLASH@
578 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_freeglut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-construo_main.TPo' @AMDEPBACKSLASH@
579 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
580 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`
582 construo_freeglut-glut_display.o: glut_display.cxx
583 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-glut_display.o -MD -MP -MF "$(DEPDIR)/construo_freeglut-glut_display.Tpo" \
584 @am__fastdepCXX_TRUE@ -c -o construo_freeglut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx; \
585 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_freeglut-glut_display.Tpo" "$(DEPDIR)/construo_freeglut-glut_display.Po"; \
586 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_freeglut-glut_display.Tpo"; exit 1; \
587 @am__fastdepCXX_TRUE@ fi
588 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='glut_display.cxx' object='construo_freeglut-glut_display.o' libtool=no @AMDEPBACKSLASH@
589 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_freeglut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-glut_display.TPo' @AMDEPBACKSLASH@
590 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
591 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx
593 construo_freeglut-glut_display.obj: glut_display.cxx
594 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-glut_display.obj -MD -MP -MF "$(DEPDIR)/construo_freeglut-glut_display.Tpo" \
595 @am__fastdepCXX_TRUE@ -c -o construo_freeglut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`; \
596 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_freeglut-glut_display.Tpo" "$(DEPDIR)/construo_freeglut-glut_display.Po"; \
597 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_freeglut-glut_display.Tpo"; exit 1; \
598 @am__fastdepCXX_TRUE@ fi
599 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='glut_display.cxx' object='construo_freeglut-glut_display.obj' libtool=no @AMDEPBACKSLASH@
600 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_freeglut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-glut_display.TPo' @AMDEPBACKSLASH@
601 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
602 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`
604 construo_glut-construo_main.o: construo_main.cxx
605 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-construo_main.o -MD -MP -MF "$(DEPDIR)/construo_glut-construo_main.Tpo" \
606 @am__fastdepCXX_TRUE@ -c -o construo_glut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx; \
607 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_glut-construo_main.Tpo" "$(DEPDIR)/construo_glut-construo_main.Po"; \
608 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_glut-construo_main.Tpo"; exit 1; \
609 @am__fastdepCXX_TRUE@ fi
610 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='construo_main.cxx' object='construo_glut-construo_main.o' libtool=no @AMDEPBACKSLASH@
611 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_glut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_glut-construo_main.TPo' @AMDEPBACKSLASH@
612 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
613 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx
615 construo_glut-construo_main.obj: construo_main.cxx
616 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-construo_main.obj -MD -MP -MF "$(DEPDIR)/construo_glut-construo_main.Tpo" \
617 @am__fastdepCXX_TRUE@ -c -o construo_glut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`; \
618 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_glut-construo_main.Tpo" "$(DEPDIR)/construo_glut-construo_main.Po"; \
619 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_glut-construo_main.Tpo"; exit 1; \
620 @am__fastdepCXX_TRUE@ fi
621 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='construo_main.cxx' object='construo_glut-construo_main.obj' libtool=no @AMDEPBACKSLASH@
622 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_glut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_glut-construo_main.TPo' @AMDEPBACKSLASH@
623 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
624 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`
626 construo_glut-glut_display.o: glut_display.cxx
627 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-glut_display.o -MD -MP -MF "$(DEPDIR)/construo_glut-glut_display.Tpo" \
628 @am__fastdepCXX_TRUE@ -c -o construo_glut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx; \
629 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_glut-glut_display.Tpo" "$(DEPDIR)/construo_glut-glut_display.Po"; \
630 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_glut-glut_display.Tpo"; exit 1; \
631 @am__fastdepCXX_TRUE@ fi
632 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='glut_display.cxx' object='construo_glut-glut_display.o' libtool=no @AMDEPBACKSLASH@
633 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_glut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_glut-glut_display.TPo' @AMDEPBACKSLASH@
634 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
635 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx
637 construo_glut-glut_display.obj: glut_display.cxx
638 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-glut_display.obj -MD -MP -MF "$(DEPDIR)/construo_glut-glut_display.Tpo" \
639 @am__fastdepCXX_TRUE@ -c -o construo_glut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`; \
640 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_glut-glut_display.Tpo" "$(DEPDIR)/construo_glut-glut_display.Po"; \
641 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_glut-glut_display.Tpo"; exit 1; \
642 @am__fastdepCXX_TRUE@ fi
643 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='glut_display.cxx' object='construo_glut-glut_display.obj' libtool=no @AMDEPBACKSLASH@
644 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_glut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_glut-glut_display.TPo' @AMDEPBACKSLASH@
645 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
646 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`
648 construo_x11-construo_main.o: construo_main.cxx
649 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-construo_main.o -MD -MP -MF "$(DEPDIR)/construo_x11-construo_main.Tpo" \
650 @am__fastdepCXX_TRUE@ -c -o construo_x11-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx; \
651 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_x11-construo_main.Tpo" "$(DEPDIR)/construo_x11-construo_main.Po"; \
652 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_x11-construo_main.Tpo"; exit 1; \
653 @am__fastdepCXX_TRUE@ fi
654 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='construo_main.cxx' object='construo_x11-construo_main.o' libtool=no @AMDEPBACKSLASH@
655 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_x11-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_x11-construo_main.TPo' @AMDEPBACKSLASH@
656 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
657 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx
659 construo_x11-construo_main.obj: construo_main.cxx
660 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-construo_main.obj -MD -MP -MF "$(DEPDIR)/construo_x11-construo_main.Tpo" \
661 @am__fastdepCXX_TRUE@ -c -o construo_x11-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`; \
662 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_x11-construo_main.Tpo" "$(DEPDIR)/construo_x11-construo_main.Po"; \
663 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_x11-construo_main.Tpo"; exit 1; \
664 @am__fastdepCXX_TRUE@ fi
665 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='construo_main.cxx' object='construo_x11-construo_main.obj' libtool=no @AMDEPBACKSLASH@
666 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_x11-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_x11-construo_main.TPo' @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`
670 construo_x11-x11_display.o: x11_display.cxx
671 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-x11_display.o -MD -MP -MF "$(DEPDIR)/construo_x11-x11_display.Tpo" \
672 @am__fastdepCXX_TRUE@ -c -o construo_x11-x11_display.o `test -f 'x11_display.cxx' || echo '$(srcdir)/'`x11_display.cxx; \
673 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_x11-x11_display.Tpo" "$(DEPDIR)/construo_x11-x11_display.Po"; \
674 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_x11-x11_display.Tpo"; exit 1; \
675 @am__fastdepCXX_TRUE@ fi
676 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='x11_display.cxx' object='construo_x11-x11_display.o' libtool=no @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_x11-x11_display.Po' tmpdepfile='$(DEPDIR)/construo_x11-x11_display.TPo' @AMDEPBACKSLASH@
678 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
679 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-x11_display.o `test -f 'x11_display.cxx' || echo '$(srcdir)/'`x11_display.cxx
681 construo_x11-x11_display.obj: x11_display.cxx
682 @am__fastdepCXX_TRUE@ if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-x11_display.obj -MD -MP -MF "$(DEPDIR)/construo_x11-x11_display.Tpo" \
683 @am__fastdepCXX_TRUE@ -c -o construo_x11-x11_display.obj `if test -f 'x11_display.cxx'; then $(CYGPATH_W) 'x11_display.cxx'; else $(CYGPATH_W) '$(srcdir)/x11_display.cxx'; fi`; \
684 @am__fastdepCXX_TRUE@ then mv "$(DEPDIR)/construo_x11-x11_display.Tpo" "$(DEPDIR)/construo_x11-x11_display.Po"; \
685 @am__fastdepCXX_TRUE@ else rm -f "$(DEPDIR)/construo_x11-x11_display.Tpo"; exit 1; \
686 @am__fastdepCXX_TRUE@ fi
687 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='x11_display.cxx' object='construo_x11-x11_display.obj' libtool=no @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ depfile='$(DEPDIR)/construo_x11-x11_display.Po' tmpdepfile='$(DEPDIR)/construo_x11-x11_display.TPo' @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCXX_FALSE@ $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-x11_display.obj `if test -f 'x11_display.cxx'; then $(CYGPATH_W) 'x11_display.cxx'; else $(CYGPATH_W) '$(srcdir)/x11_display.cxx'; fi`
691 uninstall-info-am:
693 # This directory's subdirectories are mostly independent; you can cd
694 # into them and run `make' without going through this Makefile.
695 # To change the values of `make' variables: instead of editing Makefiles,
696 # (1) if the variable is set in `config.status', edit `config.status'
697 # (which will cause the Makefiles to be regenerated when you run `make');
698 # (2) otherwise, pass the desired values on the `make' command line.
699 $(RECURSIVE_TARGETS):
700 @set fnord $$MAKEFLAGS; amf=$$2; \
701 dot_seen=no; \
702 target=`echo $@ | sed s/-recursive//`; \
703 list='$(SUBDIRS)'; for subdir in $$list; do \
704 echo "Making $$target in $$subdir"; \
705 if test "$$subdir" = "."; then \
706 dot_seen=yes; \
707 local_target="$$target-am"; \
708 else \
709 local_target="$$target"; \
710 fi; \
711 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
712 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
713 done; \
714 if test "$$dot_seen" = "no"; then \
715 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
716 fi; test -z "$$fail"
718 mostlyclean-recursive clean-recursive distclean-recursive \
719 maintainer-clean-recursive:
720 @set fnord $$MAKEFLAGS; amf=$$2; \
721 dot_seen=no; \
722 case "$@" in \
723 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
724 *) list='$(SUBDIRS)' ;; \
725 esac; \
726 rev=''; for subdir in $$list; do \
727 if test "$$subdir" = "."; then :; else \
728 rev="$$subdir $$rev"; \
729 fi; \
730 done; \
731 rev="$$rev ."; \
732 target=`echo $@ | sed s/-recursive//`; \
733 for subdir in $$rev; do \
734 echo "Making $$target in $$subdir"; \
735 if test "$$subdir" = "."; then \
736 local_target="$$target-am"; \
737 else \
738 local_target="$$target"; \
739 fi; \
740 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
741 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
742 done && test -z "$$fail"
743 tags-recursive:
744 list='$(SUBDIRS)'; for subdir in $$list; do \
745 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
746 done
747 ctags-recursive:
748 list='$(SUBDIRS)'; for subdir in $$list; do \
749 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
750 done
752 ETAGS = etags
753 ETAGSFLAGS =
755 CTAGS = ctags
756 CTAGSFLAGS =
758 tags: TAGS
760 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
761 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
762 unique=`for i in $$list; do \
763 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
764 done | \
765 $(AWK) ' { files[$$0] = 1; } \
766 END { for (i in files) print i; }'`; \
767 mkid -fID $$unique
769 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
770 $(TAGS_FILES) $(LISP)
771 tags=; \
772 here=`pwd`; \
773 list='$(SUBDIRS)'; for subdir in $$list; do \
774 if test "$$subdir" = .; then :; else \
775 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
776 fi; \
777 done; \
778 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
779 unique=`for i in $$list; do \
780 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
781 done | \
782 $(AWK) ' { files[$$0] = 1; } \
783 END { for (i in files) print i; }'`; \
784 test -z "$(ETAGS_ARGS)$$tags$$unique" \
785 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
786 $$tags $$unique
788 ctags: CTAGS
789 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
790 $(TAGS_FILES) $(LISP)
791 tags=; \
792 here=`pwd`; \
793 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
794 unique=`for i in $$list; do \
795 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
796 done | \
797 $(AWK) ' { files[$$0] = 1; } \
798 END { for (i in files) print i; }'`; \
799 test -z "$(CTAGS_ARGS)$$tags$$unique" \
800 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
801 $$tags $$unique
803 GTAGS:
804 here=`$(am__cd) $(top_builddir) && pwd` \
805 && cd $(top_srcdir) \
806 && gtags -i $(GTAGS_ARGS) $$here
808 distclean-tags:
809 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
810 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
812 top_distdir = .
813 distdir = $(PACKAGE)-$(VERSION)
815 am__remove_distdir = \
816 { test ! -d $(distdir) \
817 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
818 && rm -fr $(distdir); }; }
820 GZIP_ENV = --best
821 distuninstallcheck_listfiles = find . -type f -print
822 distcleancheck_listfiles = find . -type f -print
824 distdir: $(DISTFILES)
825 $(am__remove_distdir)
826 mkdir $(distdir)
827 $(mkinstalldirs) $(distdir)/compatlib
828 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
829 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
830 list='$(DISTFILES)'; for file in $$list; do \
831 case $$file in \
832 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
833 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
834 esac; \
835 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
836 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
837 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
838 dir="/$$dir"; \
839 $(mkinstalldirs) "$(distdir)$$dir"; \
840 else \
841 dir=''; \
842 fi; \
843 if test -d $$d/$$file; then \
844 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
845 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
846 fi; \
847 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
848 else \
849 test -f $(distdir)/$$file \
850 || cp -p $$d/$$file $(distdir)/$$file \
851 || exit 1; \
852 fi; \
853 done
854 list='$(SUBDIRS)'; for subdir in $$list; do \
855 if test "$$subdir" = .; then :; else \
856 test -d $(distdir)/$$subdir \
857 || mkdir $(distdir)/$$subdir \
858 || exit 1; \
859 (cd $$subdir && \
860 $(MAKE) $(AM_MAKEFLAGS) \
861 top_distdir="$(top_distdir)" \
862 distdir=../$(distdir)/$$subdir \
863 distdir) \
864 || exit 1; \
865 fi; \
866 done
867 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
868 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
869 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
870 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
871 || chmod -R a+r $(distdir)
872 dist-gzip: distdir
873 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
874 $(am__remove_distdir)
876 dist dist-all: distdir
877 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
878 $(am__remove_distdir)
880 # This target untars the dist file and tries a VPATH configuration. Then
881 # it guarantees that the distribution is self-contained by making another
882 # tarfile.
883 distcheck: dist
884 $(am__remove_distdir)
885 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
886 chmod -R a-w $(distdir); chmod a+w $(distdir)
887 mkdir $(distdir)/_build
888 mkdir $(distdir)/_inst
889 chmod a-w $(distdir)
890 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
891 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
892 && cd $(distdir)/_build \
893 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
894 $(DISTCHECK_CONFIGURE_FLAGS) \
895 && $(MAKE) $(AM_MAKEFLAGS) \
896 && $(MAKE) $(AM_MAKEFLAGS) dvi \
897 && $(MAKE) $(AM_MAKEFLAGS) check \
898 && $(MAKE) $(AM_MAKEFLAGS) install \
899 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
900 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
901 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
902 distuninstallcheck \
903 && chmod -R a-w "$$dc_install_base" \
904 && ({ \
905 (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
906 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
907 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
908 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
909 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
910 } || { rm -rf "$$dc_destdir"; exit 1; }) \
911 && rm -rf "$$dc_destdir" \
912 && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
913 && rm -f $(distdir).tar.gz \
914 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
915 $(am__remove_distdir)
916 @echo "$(distdir).tar.gz is ready for distribution" | \
917 sed 'h;s/./=/g;p;x;p;x'
918 distuninstallcheck:
919 cd $(distuninstallcheck_dir) \
920 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
921 || { echo "ERROR: files left after uninstall:" ; \
922 if test -n "$(DESTDIR)"; then \
923 echo " (check DESTDIR support)"; \
924 fi ; \
925 $(distuninstallcheck_listfiles) ; \
926 exit 1; } >&2
927 distcleancheck: distclean
928 if test '$(srcdir)' = . ; then \
929 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
930 exit 1 ; \
932 test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
933 || { echo "ERROR: files left in build directory after distclean:" ; \
934 $(distcleancheck_listfiles) ; \
935 exit 1; } >&2
936 check-am: all-am
937 check: check-recursive
938 all-am: Makefile $(LIBRARIES) $(PROGRAMS) config.h
939 installdirs: installdirs-recursive
940 installdirs-am:
941 $(mkinstalldirs) $(DESTDIR)$(bindir)
943 install: install-recursive
944 install-exec: install-exec-recursive
945 install-data: install-data-recursive
946 uninstall: uninstall-recursive
948 install-am: all-am
949 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
951 installcheck: installcheck-recursive
952 install-strip:
953 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
954 INSTALL_STRIP_FLAG=-s \
955 `test -z '$(STRIP)' || \
956 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
957 mostlyclean-generic:
959 clean-generic:
961 distclean-generic:
962 -rm -f Makefile $(CONFIG_CLEAN_FILES)
964 maintainer-clean-generic:
965 @echo "This command is intended for maintainers to use"
966 @echo "it deletes files that may require special tools to rebuild."
967 clean: clean-recursive
969 clean-am: clean-binPROGRAMS clean-generic clean-noinstLIBRARIES \
970 mostlyclean-am
972 distclean: distclean-recursive
973 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
974 distclean-am: clean-am distclean-compile distclean-depend \
975 distclean-generic distclean-hdr distclean-tags
977 dvi: dvi-recursive
979 dvi-am:
981 info: info-recursive
983 info-am:
985 install-data-am:
987 install-exec-am: install-binPROGRAMS
989 install-info: install-info-recursive
991 install-man:
993 installcheck-am:
995 maintainer-clean: maintainer-clean-recursive
996 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
997 -rm -rf autom4te.cache
998 maintainer-clean-am: distclean-am maintainer-clean-generic
1000 mostlyclean: mostlyclean-recursive
1002 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1004 pdf: pdf-recursive
1006 pdf-am:
1008 ps: ps-recursive
1010 ps-am:
1012 uninstall-am: uninstall-binPROGRAMS uninstall-info-am
1014 uninstall-info: uninstall-info-recursive
1016 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
1017 clean-binPROGRAMS clean-generic clean-noinstLIBRARIES \
1018 clean-recursive ctags ctags-recursive dist dist-all dist-gzip \
1019 distcheck distclean distclean-compile distclean-depend \
1020 distclean-generic distclean-hdr distclean-recursive \
1021 distclean-tags distcleancheck distdir distuninstallcheck dvi \
1022 dvi-am dvi-recursive info info-am info-recursive install \
1023 install-am install-binPROGRAMS install-data install-data-am \
1024 install-data-recursive install-exec install-exec-am \
1025 install-exec-recursive install-info install-info-am \
1026 install-info-recursive install-man install-recursive \
1027 install-strip installcheck installcheck-am installdirs \
1028 installdirs-am installdirs-recursive maintainer-clean \
1029 maintainer-clean-generic maintainer-clean-recursive mostlyclean \
1030 mostlyclean-compile mostlyclean-generic mostlyclean-recursive \
1031 pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
1032 tags-recursive uninstall uninstall-am uninstall-binPROGRAMS \
1033 uninstall-info-am uninstall-info-recursive uninstall-recursive
1036 # EOF #
1037 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1038 # Otherwise a system limit (for SysV at least) may be exceeded.
1039 .NOEXPORT: